xmonad-contrib-0.16: Third party extensions for xmonad

Copyright | (C) 2007 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.Theme

Contents

- Usage

Description

A prompt for changing the theme of the current workspace

Synopsis

- themePrompt :: XPConfig -> X ()
- data ThemePrompt

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Theme

in your keybindings add:

      , ((modm .|. controlMask, xK_t), themePrompt def)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

themePrompt :: XPConfig -> X () Source #

data ThemePrompt Source #

#### Instances

Instances details

XPrompt ThemePrompt Source # |

Instance details

Defined in XMonad.Prompt.Theme

Methods

showXPrompt :: ThemePrompt -> String Source #

nextCompletion :: ThemePrompt -> String -> [String] -> String Source #

commandToComplete :: ThemePrompt -> String -> String Source #

completionToCommand :: ThemePrompt -> String -> String Source #

completionFunction :: ThemePrompt -> ComplFunction Source #

modeAction :: ThemePrompt -> String -> String -> X () Source #